Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Interface IContributor

All Known Implementing Classes:
  RegistryContributor

    public interface IContributor

This interface describes a registry contributor - an entity that supplies information to the extension registry.

Registry contributor objects can be obtained by calling `IExtensionPoint.getContributor()`, `IExtension.getContributor()`, and `IConfigurationElement.getContributor()`. Alternatively, a contributor factory appropriate for the registry in use can be called to directly obtain an IContributor object.

This interface can be used without OSGi running.

This interface is not intended to be implemented or extended by clients.

Since:
  org.eclipse.equinox.registry 3.2
See Also:
  `ContributorFactoryOSGi`, `ContributorFactorySimple`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`String` `getName()` Provides name of the contributor (e.g., "org.eclipse.core.runtime").

Method Detail

### getName

    String getName()

  Provides name of the contributor (e.g., "org.eclipse.core.runtime").

  Returns:
    name of the registry contributor

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.